Skip to main content
GET
/
api2
/
v3
/
automatedProjects
/
{settingsId}
Get automated project creation settings by ID
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v3/automatedProjects/{settingsId} \
  --header 'Authorization: <api-key>'
{
  "frequency": {
    "monthlyFixedTimes": [
      {
        "dayOfMonth": 123,
        "fixedTime": 123,
        "timeZone": "<string>"
      }
    ],
    "range": 123,
    "weeklyFixedTimes": [
      {
        "dayOfWeek": 123,
        "fixedTime": 123,
        "timeZone": "<string>"
      }
    ]
  },
  "id": "<string>",
  "monitoredFolders": [
    {
      "encodedRemoteFolder": "<string>",
      "folderNames": [
        "<string>"
      ],
      "humanReadableFolderPath": "<string>",
      "localToken": "<string>",
      "projectTemplateUid": "<string>",
      "remoteFolder": "<string>",
      "fileNameRegex": "<string>",
      "includeSubfolders": true,
      "moveToProcessedSubfolder": true,
      "processedSubfolder": "<string>",
      "selectedMonitoredFiles": [
        {
          "encodedFileName": "<string>",
          "fileName": "<string>",
          "uniqueIdentifier": "<string>"
        }
      ]
    }
  ],
  "name": "<string>",
  "active": true,
  "continuousProject": true,
  "createProjectAutomation": {
    "applyProjectDueDateToJobsEnabled": true,
    "assignProvidersEnabled": true,
    "calculateDueDateEnabled": true,
    "createAnalysesEnabled": true,
    "createAnalysesWorkflowNumber": 123,
    "createBuyerQuotesEnabled": true,
    "createProviderQuotesEnabled": true,
    "dueDateSchemeUid": "<string>",
    "notifyProjectOwnerEmailTemplate": {
      "name": "<string>",
      "uid": "<string>"
    },
    "notifyProjectOwnerEnabled": true
  },
  "deprecatedTargetLangs": [
    "<string>"
  ],
  "initialIterationMode": "<string>",
  "projectCreationMode": "<string>",
  "selectedTargetLangs": [
    "<string>"
  ],
  "sourceLang": "<string>",
  "sourceUpdateAutomation": {
    "applyProjectDueDateToJobsEnabled": true,
    "calculateDueDateEnabled": true,
    "continuousAnalysesSettings": {
      "analyzeByLanguage": true,
      "excludeLocked": true,
      "excludeNumbers": true,
      "includeMachineTranslationMatches": true,
      "includeNonTranslatables": true,
      "includeTransMemory": true,
      "internalFuzzyMatches": true,
      "namingPattern": "<string>",
      "separateInternalFuzzyMatches": true
    },
    "createAnalysesEnabled": true,
    "createAnalysesWorkflowNumber": 500,
    "createBuyerQuotesEnabled": true,
    "createProviderQuotesEnabled": true,
    "dueDateSchemeUid": "<string>",
    "notifyProjectOwnerEmailTemplate": {
      "name": "<string>",
      "uid": "<string>"
    },
    "notifyProjectOwnerEnabled": true,
    "reopenWorkflowEnabled": true,
    "reopenWorkflowNumberAndLater": 500
  },
  "targetUpdateAutomation": {
    "manualReviewEnabled": true,
    "notifyProjectOwnerEmailTemplate": {
      "name": "<string>",
      "uid": "<string>"
    },
    "notifyProjectOwnerEnabled": true,
    "targetUpdateEnabled": true
  },
  "translationExports": [
    {
      "name": "<string>",
      "exportFrom": {
        "type": "<string>",
        "workflowStep": 500
      },
      "exportWhen": {
        "exportTrigger": "<string>",
        "workflowStep": 500
      },
      "exportedWorkflowStepToDeliveredAfterExport": true
    }
  ],
  "warnings": [
    {}
  ],
  "webhook": {
    "webhookToken": "<string>",
    "webhookUrl": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

settingsId
string
required

Response

successful operation

frequency
object
required
id
string
required
monitoredFolders
object[]
required
name
string
required
Maximum string length: 255
active
boolean
continuousProject
boolean
createProjectAutomation
object
deprecatedTargetLangs
string[]
initialIterationMode
string
projectCreationMode
string
selectedTargetLangs
string[]
sourceLang
string
sourceUpdateAutomation
object
targetUpdateAutomation
object
translationExports
object[]
warnings
object[]
webhook
object